Option Explicit

#include ..\lib\framework_domotics.vbs
#include local-parameters.inc

Sub main
Dim tabValues(11)
Dim astrDevices
Dim astrConfig
Dim atabDv
Dim astrNbDv
Dim i
Dim astrDevice
Dim astrPARAM1
Dim aobjConn
Dim aobjResults
Dim astrSQL


WriteLog G_FOLDER_NAME, G_SCRIPT_EVT, G_TIV_INF, "Launching " & G_FOLDER_NAME & " script", G_LOG_FILE
If CheckDevices(G_FOLDER_NAME, G_FILE_INI, G_STATUS_EXIST) Then
	astrDevices 		= hs.GetINISetting("COMMON","DEVICES","", G_FILE_INI)
	astrConfig  		= hs.GetINISetting("COMMON","CONFIG","..\scripts\config\", G_FILE_INI)
	atabDv	 		= Split(astrDevices, G_SEP)
	astrNbDv 		= UBound(atabDv) 
	
	i = 0
	While (i <= CInt(astrNbDv))
		astrDevice = hs.GetINISetting("DEVICE", "HC", "", astrConfig & atabDv(i)) & _ 
						hs.GetINISetting("DEVICE", "DC", "", astrConfig & atabDv(i))
		astrPARAM1 = hs.GetINISetting("DEVICE", "PARAM1", "", astrConfig & atabDv(i))	  
        	If (astrPARAM1 = "COMPTEUR_HP") Then
		    tabvalues(1) = hs.devicevalue(astrDevice)           
        	ElseIf (astrPARAM1 = "COMPTEUR_HC") Then
        	    tabvalues(2) = hs.devicevalue(astrDevice)
		ElseIf (astrPARAM1 = "CONSO_ACTUELLE") Then
        	    tabvalues(3) = hs.devicevalue(astrDevice)
        	ElseIf (astrPARAM1 = "TARIFICATION") Then
        	    tabvalues(4) = hs.devicestring(astrDevice)
        	ElseIf (astrPARAM1 = "COMPTEUR_PROD") Then
        	    tabvalues(5) = hs.devicevalue(astrDevice)
	       	ElseIf (astrPARAM1 = "PROD_ACTUELLE") Then
        	    tabvalues(6) = hs.devicevalue(astrDevice)

ElseIf (astrPARAM1 = "COUT_ACTUEL") Then
ElseIf (astrPARAM1 = "CONSO_1H") Then
ElseIf (astrPARAM1 = "COUT_1H") Then
ElseIf (astrPARAM1 = "CONSO_1J") Then
ElseIf (astrPARAM1 = "COUT_1J") Then
ElseIf (astrPARAM1 = "CONSO_1M") Then
ElseIf (astrPARAM1 = "COUT_1M") Then
ElseIf (astrPARAM1 = "PREV_CONSOMOIS") Then
ElseIf (astrPARAM1 = "PREV_COUTMOIS") Then
ElseIf (astrPARAM1 = "CONSO_1A") Then
ElseIf (astrPARAM1 = "COUT_1A") Then
ElseIf (astrPARAM1 = "PREV_CONSOANNEE") Then
ElseIf (astrPARAM1 = "PROD_PROD1H") Then
ElseIf (astrPARAM1 = "PROD_REV1H") Then
	       	
        	Else
        	    WriteLog G_FOLDER_NAME, G_SCRIPT_EVT, G_TIV_CRI, "PARAM1 is unknown for " & astrDevice, G_LOG_FILE	
        	End if
        	i = i+1
       Wend

	Set aobjConn = CreateObject("ADODB.Connection")
	aobjConn.Open(G_CONNECTION_STRING)
	astrSQL = "insert into electricite (releve_hp, releve_hc, conso_VA, conso_PTEC, releve_prod, prod_VA) values ('" & tabvalues(1) & "','" & tabvalues(2) & "','" & tabvalues(3) & "','" & tabvalues(4) & "','" & tabvalues(5) & "','" & tabvalues(6) & "')"  
	Set aobjResults = aobjConn.Execute(astrSQL)
	aobjConn.Close
	Set aobjConn = Nothing
	  
Else
    WriteLog G_FOLDER_NAME, G_SCRIPT_EVT, G_TIV_SEV, "Expected Device is unknown !", G_LOG_FILE
End if
WriteLog G_FOLDER_NAME, G_SCRIPT_EVT, G_TIV_INF, "End of the script", G_LOG_FILE
End sub