Option Explicit

#include ..\lib\framework_domotics.vbs
#include local-parameters.inc

Sub main
Dim astrBuffer
Dim tabLines
Dim tabValues
Dim astrDevices
Dim astrConfig
Dim atabDv
Dim astrNbDv
Dim i, l
Dim astrDevice
Dim astrparam1
Dim ligne, section, parametre, valeur
Dim aobjConn
Dim astrSQL, astrSQL1, astrSQL2, astrSQL3
Dim rsDay, rsDay1, rsDay2, rsDay3
Dim relevehpminuit, relevehcminuit, releveminuit
Dim releve1moishp, releve1moishc, releve1moisprod, jourmois, dernierjourmois
Dim releve1anneehp, releve1anneehc, releve1anneeprod, jourannee

WriteLog G_FOLDER_NAME, G_SCRIPT_EVT, G_TIV_INF, "Launching " & G_FOLDER_NAME & " script", G_LOG_FILE
If CheckDevices(G_FOLDER_NAME, G_FILE_INI, G_STATUS_EXIST) Then
	astrDevices 		= hs.GetINISetting("COMMON","DEVICES","", G_FILE_INI)
	astrConfig  		= hs.GetINISetting("COMMON","CONFIG","..\scripts\config\", G_FILE_INI)
	atabDv	 			= Split(astrDevices, G_SEP)
	astrNbDv 			= UBound(atabDv) 
	astrBuffer = loadfile("C:\Program Files\Teleinfo 2 compteurs\teleinfo" & formatDay(Date) & ".csv",False)
	
	'Rcupration des infos du fichier texte teleinfo
	If (astrBuffer <> "") Then 
        	tabLines = Split(astrbuffer,chr(13))
       		tabValues = split(tablines(ubound(tabLines)-1),chr(44))
  	End if

	Set aobjConn = CreateObject("ADODB.Connection")
	aobjConn.Open(G_CONNECTION_STRING)

	'Rcupration des compteurs  minuit
	set rsDay = createObject("ADODB.recordset")
	astrSQL = "select releve_hp, releve_hc, releve_prod from electricite where date_format(date, '%d/%m/%Y %H:%i') = date_format(date(now()), '%d/%m/%Y %H:%i');"  
	rsDay.open astrSQL, aobjConn
	set relevehpminuit = rsDay("releve_hp")
	set relevehcminuit = rsDay("releve_hc")
	set releveminuit = rsDay("releve_prod")

	'Rcupration des compteurs du premier jour du mois
	set rsDay1 = createObject("ADODB.recordset")
	astrSQL1 = "select releve_hp, releve_hc, releve_prod, dayofmonth(now()) jourmois, dayofmonth(last_day(now())) dernierjourmois from electricite where date_format(date, '%d/%m/%Y %H:%i') = date_format(now(),'01/%m/%Y 00:00');"  
	rsDay1.open astrSQL1, aobjConn
	set releve1moishp = rsDay1("releve_hp")
	set releve1moishc = rsDay1("releve_hc")
	set releve1moisprod = rsDay1("releve_prod")
	set jourmois = rsDay1("jourmois")
	set dernierjourmois = rsDay1("dernierjourmois")

	jourmois = CDbl(jourmois)
	dernierjourmois = CDbl(dernierjourmois)

	'Rcupration des compteurs du premier jour de l annee
	set rsDay2 = createObject("ADODB.recordset")
	astrSQL2 = "select releve_hp, releve_hc, releve_prod, dayofyear(now()) jourannee from electricite where date_format(date, '%d/%m/%Y %H:%i') = date_format(now(),'01/01/%Y 00:00');"  
	rsDay2.open astrSQL2, aobjConn
	set releve1anneehp = rsDay2("releve_hp")
	set releve1anneehc = rsDay2("releve_hc")
	set releve1anneeprod = rsDay2("releve_prod")
	set jourannee = rsDay2("jourannee")

	jourannee = CDbl(jourannee)

			
	'Affectation des valeurs rcupres aux bons devices
	i = 0
	While (i <= CInt(astrNbDv))
		astrDevice 			= hs.GetINISetting("DEVICE", "HC", "", astrConfig & atabDv(i)) & _ 
							  hs.GetINISetting("DEVICE", "DC", "", astrConfig & atabDv(i))
		astrparam1			= hs.GetINISetting("DEVICE", "PARAM1", "", astrConfig & atabDv(i))	  
		If (astrparam1 = "COMPTEUR_HP") Then
			setDevice astrDevice, CDbl(tabValues(2))/1000 & " Kwh", "", CDbl(tabValues(2))
		ElseIf (astrparam1 = "COMPTEUR_HC") Then
			setDevice astrDevice, CDbl(tabValues(3))/1000 & " Kwh", "", CDbl(tabValues(3))

		ElseIf (astrparam1 = "CONSO_1J") Then
					setDevice astrDevice, ((CDbl(tabValues(3))+CDbl(tabValues(2)))-(relevehpminuit + relevehcminuit))/1000 & " Kwh", "", (CDbl(tabValues(3))+CDbl(tabValues(2)))-(relevehpminuit + relevehcminuit)
		ElseIf (astrparam1 = "COUT_1J") Then
					setDevice astrDevice, round((CDbl(tabValues(3))-relevehcminuit)/1000*0.1275 + (CDbl(tabValues(2))-relevehpminuit)/1000*0.0864,2) & " ", "", round((CDbl(tabValues(3))-relevehcminuit)/1000*0.1275 + (CDbl(tabValues(2))-relevehpminuit)/1000*0.0864,2)*100

		'Donnes sur le mois
		ElseIf (astrparam1 = "CONSO_1M") Then
					setDevice astrDevice, ((CDbl(tabValues(3))+CDbl(tabValues(2)))-(releve1moishp + releve1moishc))/1000 & " Kwh", "", (CDbl(tabValues(3))+CDbl(tabValues(2)))-(releve1moishp + releve1moishc)
		ElseIf (astrparam1 = "COUT_1M") Then
					setDevice astrDevice, round((CDbl(tabValues(3))-releve1moishc)/1000*0.1275 + (CDbl(tabValues(2))-releve1moishp)/1000*0.0864,2) & " ", "", round((CDbl(tabValues(3))-releve1moishc)/1000*0.1275 + (CDbl(tabValues(2))-releve1moishp)/1000*0.0864,2)*100

		ElseIf (astrparam1 = "PREV_CONSOMOIS") Then
					setDevice astrDevice, round((((CDbl(tabValues(3))+CDbl(tabValues(2)))-(releve1moishp + releve1moishc))/1000)/jourmois*dernierjourmois,3) & " Kwh", "", round((((CDbl(tabValues(3))+CDbl(tabValues(2)))-(releve1moishp + releve1moishc))/1000)/jourmois*dernierjourmois,3)*1000
		ElseIf (astrparam1 = "PREV_COUTMOIS") Then
					setDevice astrDevice, round(((CDbl(tabValues(3))-releve1moishc)/jourmois*dernierjourmois)/1000*0.1275 + ((CDbl(tabValues(2))-releve1moishp)/jourmois*dernierjourmois)/1000*0.0864,2) & " ", "", round(((CDbl(tabValues(3))-releve1moishc)/jourmois*dernierjourmois)/1000*0.1275 + ((CDbl(tabValues(2))-releve1moishp)/jourmois*dernierjourmois)/1000*0.0864,2)*100

		'Donnes sur l annee
		ElseIf (astrparam1 = "CONSO_1A") Then
					setDevice astrDevice, ((CDbl(tabValues(3))+CDbl(tabValues(2)))-(releve1anneehp + releve1anneehc))/1000 & " Kwh", "", (CDbl(tabValues(3))+CDbl(tabValues(2)))-(releve1anneehp + releve1anneehc)
		ElseIf (astrparam1 = "COUT_1A") Then
					setDevice astrDevice, round((CDbl(tabValues(3))-releve1anneehc)/1000*0.1275 + (CDbl(tabValues(2))-releve1anneehp)/1000*0.0864,2) & " ", "", round((CDbl(tabValues(3))-releve1anneehc)/1000*0.1275 + (CDbl(tabValues(2))-releve1anneehp)/1000*0.0864,2)*100

		ElseIf (astrparam1 = "PREV_CONSOANNEE") Then
					setDevice astrDevice, round((((CDbl(tabValues(3))+CDbl(tabValues(2)))-(releve1anneehp + releve1anneehc))/1000)/jourannee*365,3) & " Kwh", "", round((((CDbl(tabValues(3))+CDbl(tabValues(2)))-(releve1anneehp + releve1anneehc))/1000)/jourannee*365,3)*1000
		ElseIf (astrparam1 = "PREV_COUTANNEE") Then
					setDevice astrDevice, round(((CDbl(tabValues(3))-releve1anneehc)/jourannee*365)/1000*0.1275 + ((CDbl(tabValues(2))-releve1anneehp)/jourannee*365)/1000*0.0864,2) & " ", "", round(((CDbl(tabValues(3))-releve1anneehc)/jourannee*365)/1000*0.1275 + ((CDbl(tabValues(2))-releve1anneehp)/jourannee*365)/1000*0.0864,2)*100

		ElseIf (astrparam1 = "CONSO_ACTUELLE") Then
				setDevice astrDevice, CDbl(tabValues(5))/1000 & " Kwh", "", CDbl(tabValues(5))
		ElseIf (astrparam1 = "TARIFICATION") Then
			if left(tabValues(6),2) = "HC" then setDevice astrDevice, left(tabValues(6),2), 3, 3 END IF
			if left(tabValues(6),2) = "HP" then setDevice astrDevice, left(tabValues(6),2), 2, 2 END IF
				setDevice astrDevice, left(tabValues(6),2), "", ""
		ElseIf (astrparam1 = "COMPTEUR_PROD") Then
				setDevice astrDevice, CDbl(tabValues(7))/1000 & " Kwh", "", CDbl(tabValues(7))
		ElseIf (astrparam1 = "PROD_ACTUELLE") Then
				setDevice astrDevice, CDbl(tabValues(9))/1000 & " Kwh", "", CDbl(tabValues(9))
		
		ElseIf (astrparam1 = "PROD_PROD1J") Then
				setDevice astrDevice, (CDbl(tabValues(7)) - releveminuit)/1000 & " Kwh", "", (CDbl(tabValues(7)) - releveminuit)
		ElseIf (astrparam1 = "PROD_REV1J") Then
				setDevice astrDevice, round(((CDbl(tabValues(7)) - releveminuit)/1000)*0.58,2) & " ", "", round(((CDbl(tabValues(7)) - releveminuit)/1000)*0.58,2)*100
	 
		ElseIf (astrparam1 = "PROD_PROD1M") Then
				setDevice astrDevice, (CDbl(tabValues(7)) - releve1moisprod)/1000 & " Kwh", "", (CDbl(tabValues(7)) - releve1moisprod)
		ElseIf (astrparam1 = "PROD_REV1M") Then
				setDevice astrDevice, round(((CDbl(tabValues(7)) - releve1moisprod)/1000)*0.58,2) & " ", "", round(((CDbl(tabValues(7)) - releve1moisprod)/1000)*0.58,2)*100
	 

		ElseIf (astrparam1 = "PROD_PREVPRODM") Then
				setDevice astrDevice, round(((CDbl(tabValues(7)) - releve1moisprod)/jourmois*dernierjourmois)/1000,3) & " Kwh", "", round(((CDbl(tabValues(7)) - releve1moisprod)/jourmois*dernierjourmois)/1000,3)*1000
		ElseIf (astrparam1 = "PROD_PREVREVM") Then
				setDevice astrDevice, round((((CDbl(tabValues(7)) - releve1moisprod)/jourmois*dernierjourmois)/1000)*0.58,2) & " ", "", round((((CDbl(tabValues(7)) - releve1moisprod)/jourmois*dernierjourmois)/1000)*0.58,2)*100
	 

		ElseIf (astrparam1 = "PROD_PROD1A") Then
				setDevice astrDevice, (CDbl(tabValues(7)) - releve1anneeprod)/1000 & " Kwh", "", (CDbl(tabValues(7)) - releve1anneeprod)
		ElseIf (astrparam1 = "PROD_REV1A") Then
				setDevice astrDevice, round(((CDbl(tabValues(7)) - releve1anneeprod)/1000)*0.58,2) & " ", "", round(((CDbl(tabValues(7)) - releve1anneeprod)/1000)*0.58,2)*100
	 

		ElseIf (astrparam1 = "PROD_PREVPRODA") Then
				setDevice astrDevice, round(((CDbl(tabValues(7)) - releve1anneeprod)/jourannee*365)/1000,3) & " Kwh", "", round(((CDbl(tabValues(7)) - releve1anneeprod)/jourannee*365)/1000,3)*1000
		ElseIf (astrparam1 = "PROD_PREVREVA") Then
				setDevice astrDevice, round((((CDbl(tabValues(7)) - releve1anneeprod)/jourannee*365)/1000)*0.58,2) & " ", "", round((((CDbl(tabValues(7)) - releve1anneeprod)/jourannee*365)/1000)*0.58,2)*100
	 



		Else
				WriteLog G_FOLDER_NAME, G_SCRIPT_EVT, G_TIV_INF, "PARAM1 is unknown for " & astrDevice, G_LOG_FILE	
		End if
		i = i+1
	Wend
		  
Else
    WriteLog G_FOLDER_NAME, G_SCRIPT_EVT, G_TIV_SEV, "Expected Device is unknown !", G_LOG_FILE
End if

WriteLog G_FOLDER_NAME, G_SCRIPT_EVT, G_TIV_INF, "End of the script", G_LOG_FILE

rsDay.close
rsDay1.close
rsDay2.close
aobjConn.Close
Set aobjConn = Nothing

End sub
